Description

This is a proposal for an enhancement to the delimited text plugin to allow it to use a geometry column formatted as well known text, as an

alternative to using x and y columns to define point features.

The attached patch implements this option.

The main limitation in this implementation is that all the geometries must be of the same well known text type.

History

#1 - 2010-11-28 10:27 AM - Chris Crook

I've found that this doesn't work when the WKT contains Z, M, or ZM types (eg LINESTRING Z(...).  I'll provide a revised patch which handles this soon...

#2 - 2010-11-28 12:00 PM - Chris Crook

New version of patch added .. this version handles .. Z, .. M, and .. ZM type geometries by removing the Z, M, ZM, and removing extra coordinates from the

WKT string before passing it to the [[QgsGeometry]] factory function.

#3 - 2010-11-28 02:13 PM - Gary Sherman

Can you provide a couple of small test files with WKT coordinates?

#4 - 2010-11-28 05:53 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

Patch added in

Help file and dialog modified to reflect addition of WKT capability.

Thanks for the patch!

#5 - 2010-11-28 09:39 PM - Chris Crook

Replying to [comment:5 gsherman]:
Patch added in

Help file and dialog modified to reflect addition of WKT capability.

Thanks for the patch!

Brilliant - thanks!

#6 - 2010-11-30 05:50 PM - Chris Crook

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Discovered I introduced a bug in the selection of non-point objects (ie wkt objects).  Currently selection testing is based on bound box of object only. 

Needs to include testing actual geometry of object.

Attached patch fixes this

#7 - 2010-12-01 08:26 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Feedback to Closed

Patch applied in commit:2517e13a (SVN r14825)

Files

delimited_text_enhancement.patch 38.2 KB 2010-11-28 Chris Crook

gns_linestring.wkt 705 Bytes 2010-11-28 Chris Crook

gns_poly.wkt 1.19 KB 2010-11-28 Chris Crook

delimited_text_enhancement_fix.patch 622 Bytes 2010-11-30 Chris Crook
